//-------------------------------------------------------------
//All shaders by LorDSquarT for Hollywood Holocaust development
//for comment : lordsquart@hotmail.com
//If you use this shaders give me a thanks :-)
//Have fun!! Duke3D RuleZzZZz
//-------------------------------------------------------------
 
textures/duke3D/arcade_blend
{
	qer_editorimage textures/duke3D/arcade_sign.tga
	q3map_lightimage textures/duke3D/arcade_sign.tga
	q3map_surfacelight 300
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/duke3D/arcade_sign.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/duke3D/arcade_sign.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/duke3D/bridge_blend
{
	qer_editorimage textures/duke3D/bridge.tga
	q3map_lightimage textures/duke3D/bridge_blend.tga
	q3map_surfacelight 500
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/duke3D/bridge.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/duke3D/bridge_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/duke3D/cinema_message_light
{
	qer_editorimage textures/duke3D/cinema_message.tga
	q3map_lightimage textures/duke3D/cinema_message_blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/duke3D/cinema_message.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/duke3D/cinema_message_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/duke3D/cinema_sign_light
{
	qer_editorimage textures/duke3D/cinema_sign.tga
	q3map_lightimage textures/duke3D/cinema_sign.tga
	q3map_surfacelight 3000
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none

	{
		map textures/duke3D/cinema_sign.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
	{
		map textures/duke3D/cinema_sign.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/duke3D/cinema_trim_light
{
	qer_editorimage textures/duke3D/cinema_trim.tga
	q3map_lightimage textures/duke3D/cinema_trim_blend.tga
	q3map_surfacelight 1000
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/duke3D/cinema_trim.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/duke3D/cinema_trim_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/duke3D/duke_arcade
{
	q3map_surfacelight 100

	{
		map textures/duke3d/duke_2.tga
		rgbGen wave square 0 2 0 .2
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 1 1
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbGen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
}

textures/duke3D/exit_sign_light
{
	qer_editorimage textures/duke3D/exit.tga
	q3map_lightimage textures/duke3D/exit_blend.tga
	q3map_surfacelight 500
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/duke3D/exit.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/duke3D/exit_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/duke3D/ladder
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}

textures/duke3D/light_red_blend
{
	qer_editorimage textures/duke3D/light_red.tga
	q3map_lightimage textures/duke3D/light_red_blend.tga
	q3map_surfacelight 3000
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/duke3D/light_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/duke3D/light_red_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/duke3D/street_light
{
	qer_editorimage textures/duke3D/white.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightimage textures/duke3D/lightblend.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/duke3D/white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/duke3D/white.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/duke3D/street_light_2k
{
	qer_editorimage textures/duke3D/white.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightimage textures/duke3D/lightblend.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/duke3D/white.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/duke3D/white.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/duke3D/tend_flag_effect
{
	qer_editorimage textures/duke3d/tend.TGA
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .5 .1
	surfaceparm nomarks
	surfaceparm trans
	cull none

	{
		map textures/duke3D/tend.tga
		rgbGen identity
	}
	{
		map textures/duke3D/tend.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/duke3D/vent_broke
{
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none

	{
		map textures/duke3D/vent_broke.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/duke3D/white_flare
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{
		clampmap textures/duke3D/white_flare.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/duke3d/film/film_animation
{
	qer_editorimage textures/duke3d/film/film_frame_1.tga
	q3map_surfacelight 500
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		animMap 10 textures/duke3d/film/film_frame_1.tga textures/duke3d/film/film_frame_2.tga textures/duke3d/film/film_frame_3.tga textures/duke3d/film/film_frame_4.tga textures/duke3d/film/film_frame_5.tga textures/duke3d/film/film_frame_6.tga textures/duke3d/film/film_frame_7.tga textures/duke3d/film/film_frame_8.tga textures/duke3d/film/film_frame_8.tga textures/duke3d/film/film_frame_7.tga textures/duke3d/film/film_frame_6.tga textures/duke3d/film/film_frame_5.tga textures/duke3d/film/film_frame_4.tga textures/duke3d/film/film_frame_3.tga textures/duke3d/film/film_frame_2.tga textures/duke3d/film/film_frame_1.tga
		rgbGen identity
	}
}

textures/duke3d/palm
{
	qer_editorimage textures/duke3d/palm.tga
	cull none

	{
		map textures/duke3d/palm.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/skies/ls_skybox
{
	q3map_lightimage textures/skies/pjbasesky.tga
	q3map_lightsubdivide 512
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .5 .6 .8 90 225 55
	q3map_surfacelight 130
	skyparms env/c2nite - -

	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}
